Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-64644

IllegalArgumentException with git plugin 4.5.0 + JCasC

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I'm unable to update git-plugin to >=4.5.0, when Jenkins starts up it throws java.lang
      .IllegalArgumentException: No jenkins.scm.api.SCMSource implementation found for git (see the full attached stacktrace). I'm using JCasC, though I'm not sure if it's relevant in this context. I've also attached the plugins.yaml; the only relevant part of the jenkins.yaml file pertaining to the git plugin is as such:

      gitSCM:
         createAccountBasedOnEmail: false
        showEntireCommitSummaryInChanges: false
         useExistingAccountWithSameEmail: false

      I'm not sure why this is occurring, does anyone have an idea?

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            nre_ableton Nik Reiman
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: